# Get Total Funds

Provides an overview of your account's total valuation and available liquidity across all balances.
Returns total worth, total available (including overdraft), total cash, and overdraft details.
#### Example (Assuming GBP and USD has 1:1 exchange rate)
| Scenario | GBP balance | USD balance | Total Worth | Total Available | Overdraft Usage | Overdraft Limit |
|  --- | --- | --- | --- | --- | --- | --- |
| Positive account value with no overdraft | 2000 | 0 | 2000 | 2000 | 0 | 0 |
| Positive account value with overdraft | 2000 | -100 | 1900 | 2400 | 100 | 500 |
| Negative account value with overdraft | 0 | -100 | -100 | 400 | 100 | 500 |

Endpoint: GET /v1/profiles/{profileId}/total-funds/{currency}
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

  - `currency` (string, required)
    Currency code (ISO 4217 Alphabetic Code). All values will be converted to this currency.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `totalWorth` (object)
    Total worth of the account, including cash ledger balance and valuation of any asset portfolio if invested.

  - `totalWorth.value` (number)
    Amount value.
    Example: 2000

  - `totalWorth.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `totalAvailable` (object)
    Total available balance, which is the sum of cash ledger balance and any approved overdraft limit.

  - `totalAvailable.value` (number)
    Amount value.
    Example: 2500

  - `totalAvailable.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `totalCash` (object)
    Total cash balance across all balances, including group balances but excluding asset portfolios.

  - `totalCash.value` (number)
    Amount value.
    Example: 2000

  - `totalCash.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `overdraft` (object)
    Overdraft details for the account.

  - `overdraft.limit` (object)
    Maximum overdraft available through an overdraft program. Zero if no approved overdraft.

  - `overdraft.limit.value` (number)
    Amount value.
    Example: 500

  - `overdraft.limit.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `overdraft.used` (object)
    Portion of the approved overdraft limit currently being utilized.

  - `overdraft.used.value` (number)
    Amount value.
    Example: 0

  - `overdraft.used.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `overdraft.available` (object)
    Amount of overdraft currently available (limit minus used).

  - `overdraft.available.value` (number)
    Amount value.
    Example: 500

  - `overdraft.available.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `overdraft.availableByCurrency` (array)
    Available overdraft amounts converted to each currency the customer has a balance in.

  - `overdraft.availableByCurrency.value` (number)
    Amount value.
    Example: 500

  - `overdraft.availableByCurrency.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

